Item Configuration v1
Reference for the Item Configuration v1 endpoints on Roblox.
Base URL: https://itemconfiguration.roblox.com
Endpoints
Section titled “Endpoints”| Method | Path | Name |
|---|---|---|
POST | /v1/creations/get-asset-details | postCreationsGetAssetDetails |
GET | /v1/creations/get-assets | getCreationsGetAssets |
postCreationsGetAssetDetails
Section titled “postCreationsGetAssetDetails”POST /v1/creations/get-asset-details
Gets the asset status and other configuration details for the given assetIds list.
Usage
import { fetchApi } from 'rozod';import { postCreationsGetAssetDetails } from 'rozod/lib/endpoints/itemconfigurationv1';
const data = await fetchApi(postCreationsGetAssetDetails, { body: { /* ... */ }});Request Body
Section titled “Request Body”| Field | Type | Description |
|---|---|---|
AssetIds | number[] |
Response
Section titled “Response”Array of objects:
| Field | Type | Description |
|---|---|---|
assetId | number | |
name | string | |
status | `“Unknown" | "ReviewPending" |
description | string | |
creatorType | string | |
creatorTargetId | number | |
price | number | |
priceConfiguration | object | See below |
isArchived | boolean | |
assetType | string | |
releaseConfiguration | object | See below |
created | string | |
updated | string | |
isDelisted | boolean | |
isCreatedForBundle | boolean |
priceConfiguration fields:
| Field | Type | Description |
|---|---|---|
priceInRobux | number | |
premiumDiscountPercentage | number | |
premiumPriceInRobux | number | |
priceOffset | number |
releaseConfiguration fields:
| Field | Type | Description |
|---|---|---|
saleAvailabilityLocations | `“Undefined" | "Catalog" |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 1: Missing AssetIds parameters 2: Invalid asset Ids |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 0: Token Validation Failed |
| 414 | 3: Too many asset Ids |
| 429 | 9: Flood Limit Exceeded |
| 503 | 6: Service Unavailable |
getCreationsGetAssets
Section titled “getCreationsGetAssets”GET /v1/creations/get-assets
Gets the user created asset information filtered by the given asset type.
Usage
import { fetchApi } from 'rozod';import { getCreationsGetAssets } from 'rozod/lib/endpoints/itemconfigurationv1';
const data = await fetchApi(getCreationsGetAssets, { assetType: /* string */, isArchived: /* boolean? */, groupId: /* integer? */, cursor: /* string? */});Parameters
Section titled “Parameters”| Name | Type | Required | Description |
|---|---|---|---|
assetType | string | Yes | |
isArchived | boolean? | No | |
groupId | integer? | No | |
cursor | string? | No | The paging cursor for the previous or next page. |
Response
Section titled “Response”| Field | Type | Description |
|---|---|---|
previousPageCursor | string | |
nextPageCursor | string | |
data | object[] | See below |
data[] item fields:
| Field | Type | Description |
|---|---|---|
assetId | number | |
name | string |
Errors
Section titled “Errors”| Status | Description |
|---|---|
| 400 | 5: Invalid assetType 10: Invalid Asset Category |
| 401 | 0: Authorization has been denied for this request. |
| 403 | 7: User does not have necessary permissions for group 8: Asset type does not have necessary permissions for group |
| 429 | 9: Flood Limit Exceeded |
| 503 | 6: Service Unavailable |